# BrickTracker

A web application for organizing and tracking LEGO sets, parts, and minifigures. Uses the Rebrickable API to fetch LEGO data and allows users to track missing pieces and collection status.

<a href="https://www.buymeacoffee.com/frederikb" target="_blank"><img src="https://cdn.buymeacoffee.com/buttons/v2/default-yellow.png" alt="Buy Me A Coffee" height="41" width="174"></a>

## Features

- Track multiple LEGO sets with their parts and minifigures
- Mark sets as checked/collected
- Mark minifigures as collected for a set
- Track missing pieces
- View parts inventory across sets
- View minifigures across sets
- Wishlist to keep track of what to buy

## Prefered setup: pre-build docker image

Use the provided [compose.yaml](compose.yaml) file.

See [Quickstart](docs/quickstart.md) to get up and running right away.

See [Setup](docs/setup.md) for a more setup guide.

## Usage

See [first steps](docs/first-steps.md).

## Documentation

Most of the pages should be self explanatory to use.
However, you can find more specific documentation in the [documentation](docs/DOCS.md).

You can find screenshots of the application in the [overview](docs/overview.md) documentation file.
